\name{xtab}
\title{Crosstabulation}
\usage{
xtab(datavec1, datavec2 [, datanames1, datanames2])
}
\alias{xtab}
\arguments{
  \item{datavec1, datavec2}{numeric vectors of observations.
    datavec1 will provide the row classes and datavec2 the columns.}
  \item{datanames1, datanames2}{a vector of character strings
    to be used as row and column labels respectively.}
}
\description{
  \code{xtab} formats a crosstabulation into a rectangular table
   format and calculates row and column percentages.  The actual
   tabulation is done by \code{table}, and xtab uses the result
   to build the output.  If \code{datanames1} or \code{datanames2}
   are not passed to the function, the data values will be used
   as labels.
}
\value{
  The crosstabulation returned by \code{table} is returned invisibly.
}
\seealso{\code{table}}
\examples{
> test1
 [1] 1 3 2 4 3 2 1 2 3 1 1 2 3 4 3 2 1 2 3 4 3 2 2 1 2 3 4 2 3 4 1
> test2
 [1] 2 1 3 1 4 2 3 2 4 1 2 3 4 2 3 1 2 3 4 2 3 1 2 3 4 3 2 1 2 3 4
> testnames1
[1] "First"  "Second" "Third"  "Fourth"
> testnames2
[1] "Primero"  "Segundo"  "Tercero"  "Quatrero"
> xtab(test1,test2,testnames1,testnames2)
       Primero  Segundo  Tercero  Quatrero 
       ------------------------------------ 
First |       1|       3|       2|       1|       7 
      |      14|      43|      29|      14|    22.6 
      |      17|      30|      22|      17|
       ------------------------------------ 
Second|       3|       3|       3|       1|      10 
      |      30|      30|      30|      10|    32.3 
      |      50|      30|      33|      17|
       ------------------------------------ 
Third |       1|       1|       3|       4|       9 
      |      11|      11|      33|      44|      29 
      |      17|      10|      33|      67|
       ------------------------------------ 
Fourth|       1|       3|       1|       0|       5 
      |      20|      60|      20|       0|    16.1 
      |      17|      30|      11|       0|
       ------------------------------------ 
              6       10        9        6       31 
           19.4     32.3       29     19.4 
>
}
